## org.eclipse.datatools.modelbase.sql.datatypes
Interface ArrayDataType

All Superinterfaces:
  CollectionDataType, ConstructedDataType, DataType, SQLDataType, SQLObject

All Known Implementing Classes:
  ArrayDataTypeImpl

    public interface ArrayDataType

extends CollectionDataType

A representation of the model object 'Array Data Type'. Reference: 5WD-02-Foundation-2002-12 4.10.1 Arrays

The following features are supported:

- `Max Cardinality`

See Also:
  `SQLDataTypesPackage.getArrayDataType()`

Method Summary
`int` `getMaxCardinality()` Returns the value of the 'Max Cardinality' attribute.
`void` `setMaxCardinality(int value)` Sets the value of the '`Max Cardinality`' attribute.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.datatypes.CollectionDataType
`getElement`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.datatypes.DataType
`setContainer`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Method Detail

### getMaxCardinality

    int getMaxCardinality()

  Returns the value of the 'Max Cardinality' attribute.

  If the meaning of the 'Max Cardinality' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Max Cardinality' attribute.
  See Also:
    `setMaxCardinality(int)`, `SQLDataTypesPackage.getArrayDataType_MaxCardinality()`

### setMaxCardinality

    void setMaxCardinality(int value)

  Sets the value of the '`Max Cardinality`' attribute.

  Parameters:
    `value` - the new value of the 'Max Cardinality' attribute.
  See Also:
    `getMaxCardinality()`

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.